#include <bits/stdc++.h>

using namespace std;

int binarna(int A[],int n,int x,int *nema)
{
    int l=0,d=n-1,s;
    *nema=1;
    while(l<=d)
    {
        s=(l+d)/2;
        if(x<A[s]) d=s-1;
        else if(x==A[s]) 
        {*nema=0; return s;}
        else l=s+1; 
    }
    return l;
}

int main()
{
    int A[200000],B[200000],n,q;
    
    int poz;
    scanf("%d%d",&n,&q);
    for(int i=0;i<n;i++) scanf("%d",&A[i]);
    for(int i=0;i<q;i++) scanf("%d",&B[i]);
    sort(A,A+n);
    
    int nema,desno;
    for(int i=0;i<q;i++)
    {
        poz=binarna(A,n,B[i],&nema);
        desno=(n-1+nema-poz);
        printf("%d\n",abs(desno-poz)-(poz>desno)+nema);   
    }

    
    return 0;
}